Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.logging.log4j.spi
Enum StandardLevel

    java.lang.Object
      java.lang.Enum<StandardLevel>
          org.apache.logging.log4j.spi.StandardLevel

All Implemented Interfaces:
  Serializable, Comparable<StandardLevel>

    public enum StandardLevel

extends Enum<StandardLevel>

Standard Logging Levels as an enumeration for use internally. This enum is used as a parameter in any public APIs.

Enum Constant Summary
`ALL` All events should be logged.
`DEBUG` A general debugging event.
`ERROR` An error in the application, possibly recoverable.
`FATAL` A severe error that will prevent the application from continuing.
`INFO` An event for informational purposes.
`OFF` No events will be logged.
`TRACE` A fine-grained debug message, typically capturing the flow through the application.
`WARN` An event that might possible lead to an error.

Method Summary
`static StandardLevel` | `getStandardLevel(int intLevel)` Method to convert custom Levels into a StandardLevel for conversion to other systems.
`int` | `intLevel()` Returns the integer value of the Level.
`static StandardLevel` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StandardLevel[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OFF

    public static final StandardLevel OFF

  No events will be logged.

### FATAL

    public static final StandardLevel FATAL

  A severe error that will prevent the application from continuing.

### ERROR

    public static final StandardLevel ERROR

  An error in the application, possibly recoverable.

### WARN

    public static final StandardLevel WARN

  An event that might possible lead to an error.

### INFO

    public static final StandardLevel INFO

  An event for informational purposes.

### DEBUG

    public static final StandardLevel DEBUG

  A general debugging event.

### TRACE

    public static final StandardLevel TRACE

  A fine-grained debug message, typically capturing the flow through the application.

### ALL

    public static final StandardLevel ALL

  All events should be logged.

Method Detail

### values

    public static StandardLevel[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (StandardLevel c : StandardLevel.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static StandardLevel valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### intLevel

    public int intLevel()

  Returns the integer value of the Level.

  Returns:
    the integer value of the Level.

### getStandardLevel

    public static StandardLevel getStandardLevel(int intLevel)

  Method to convert custom Levels into a StandardLevel for conversion to other systems.

  Parameters:
    `intLevel` - The integer value of the Level.
  Returns:
    The StandardLevel.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.